Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 701266

Summary: app-emulation/virtualbox-guest-additions-6.0.14 needs a patch for kernel 5.4.0
Product: Gentoo Linux Reporter: Helmut Jarausch <jarausch>
Component: Current packagesAssignee: Lars Wendler (Polynomial-C) <polynomial-c>
Status: UNCONFIRMED ---    
Severity: normal CC: atman.sense, jstein
Priority: Normal Keywords: PATCH
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: patch to compile with kernel 5.4.0
fix fall_through defines

Description Helmut Jarausch 2019-11-26 19:05:13 UTC
Created attachment 597566 [details, diff]
patch to compile with kernel 5.4.0

The attached patch works for me. A better solution would be to create an ebuild for Virtualbox 6.1
Comment 1 Atman Sense 2019-11-29 10:37:41 UTC
Created attachment 597838 [details, diff]
fix fall_through defines

Here are official patches:
https://www.virtualbox.org/changeset/81586/vbox?format=diff
https://www.virtualbox.org/changeset/81587/vbox?format=diff
https://www.virtualbox.org/changeset/81649/vbox?format=diff

And I needed the attached fall-through.patch from https://lkml.org/lkml/2019/10/15/1009.

BTW: The modules vboxguest and vboxvideo are in linux 5.4 now. The last one (vboxsf) gets in there maybe with linux 5.5.